!
! IMTA configuration file 
! 
! part I : rewrite rules 
! 
! Domain Rewrite Rules. 
! Uncomment this line to use domain rewrite rules 
! from the configuration file instead of the domain database. 
! Please refer to the iMS documentation for details. 
!<IMTA_TABLE:domains.rules
! 
! Rules to select local users
$* $A$E$F$U%$H$V$H@<msg.ServerHostName>
<msg.ServerHostName> $U%$D@<msg.ServerHostName>
<local.defdomain> $U%$D@<msg.ServerHostName>
! 
! ims-ms
.ims-ms-daemon $U%$H.ims-ms-daemon@ims-ms-daemon
!
! lmtp
!.lmtp $U%$H@lmtpcs-daemon
!
! lmtpn
!.lmtpn $U%$H@lmtpcn-daemon
! 
! native
.native-daemon $U%$H.native-daemon@native-daemon
! 
! pipe
.pipe-daemon $U%$H.pipe-daemon@pipe-daemon
! 
! tcp_local 
! Rules for top level internet domains
<IMTA_TABLE:internet.rules
! 
! tcp_intranet 
! Do mapping lookup for internal IP addresses
[] $E$R${INTERNAL_IP,$L}$U%[$L]@tcp_intranet-daemon
.<local.defdomain> $U%$H.<local.defdomain>@tcp_intranet-daemon
* $U%$&0.<local.defdomain>
! 
! reprocess
reprocess $U%reprocess.<msg.ServerHostName>@reprocess-daemon
reprocess.<msg.ServerHostName> $U%reprocess.<msg.ServerHostName>@reprocess-daemon
! 
! process
process $U%process.<msg.ServerHostName>@process-daemon
process.<msg.ServerHostName> $U%process.<msg.ServerHostName>@process-daemon
! 
! defragment
defragment $U%defragment.<msg.ServerHostName>@defragment-daemon
defragment.<msg.ServerHostName> $U%defragment.<msg.ServerHostName>@defragment-daemon
! 
! conversion
conversion $U%conversion.<msg.ServerHostName>@conversion-daemon
conversion.<msg.ServerHostName> $U%conversion.<msg.ServerHostName>@conversion-daemon
! 
! bitbucket
bitbucket $U%bitbucket.<msg.ServerHostName>@bitbucket-daemon
bitbucket.<msg.ServerHostName> $U%bitbucket.<msg.ServerHostName>@bitbucket-daemon
! 
! deleted
deleted-daemon $U%$H@deleted-daemon
.deleted-daemon $U%$H@deleted-daemon
! 
! inactive
inactive-daemon $U%$H@inactive-daemon
.inactive-daemon $U%$H@inactive-daemon
! 
! hold
hold-daemon $U%$H@hold-daemon
.hold-daemon $U%$H@hold-daemon

! 
! part II : channel blocks 
! 
defaults notices 1 2 4 7 copywarnpost copysendpost postheadonly noswitchchannel immnonurgent maxjobs 7 defaulthost <local.defdomain> <local.defdomain>

! 
! delivery channel to local /var/mail store
l subdirs 20 viaaliasrequired maxjobs 7 pool LOCAL_POOL
<msg.ServerHostName>

! 
! ims-ms
ims-ms defragment subdirs 20 notices 1 7 14 21 28 backoff "pt5m" "pt10m" "pt30m" "pt1h" "pt2h" "pt4h" maxjobs 2 pool IMS_POOL fileinto $U+$S@$D
ims-ms-daemon

! 
! native
native defragment subdirs 20 maxjobs 1
native-daemon

! 
! pipe
pipe single defragment subdirs 20
pipe-daemon

! 
! tcp_local
tcp_local smtp mx single_sys remotehost inner switchchannel identnonenumeric subdirs 20 maxjobs 7 pool SMTP_POOL maytlsserver maysaslserver saslswitchchannel tcp_auth missingrecipientpolicy 0
tcp-daemon

! 
! tcp_intranet
tcp_intranet smtp mx single_sys subdirs 20 dequeue_removeroute maxjobs 7 pool SMTP_POOL maytlsserver allowswitchchannel saslswitchchannel tcp_auth missingrecipientpolicy 4
tcp_intranet-daemon

! 
! tcp_submit
tcp_submit submit smtp mx single_sys mustsaslserver maytlsserver missingrecipientpolicy 4
tcp_submit-daemon

! 
! tcp_auth
tcp_auth smtp mx single_sys mustsaslserver missingrecipientpolicy 4
tcp_auth-daemon

! 
! tcp_tas
tcp_tas smtp mx single_sys allowswitchchannel mustsaslserver maytlsserver deliveryflags 2
tcp_tas-daemon

!
! tcp_lmtpss (LMTP server - store)
!tcp_lmtpss lmtp subdirs 20
!tcp_lmtpss-daemon

!
! tcp_lmtpsn (LMTP server - native)
!tcp_lmtpsn lmtp subdirs 20
!tcp_lmtpsn-daemon

!
! tcp_lmtpcs (LMTP client - store)
!tcp_lmtpcs defragment lmtp port 225 nomx single_sys subdirs 20 maxjobs 7 pool SMTP_POOL dequeue_removeroute
!lmtpcs-daemon

!
! tcp_lmtpcn (LMTP client - native)
!tcp_lmtpcn defragment lmtp port 226 nomx single_sys subdirs 20 maxjobs 7 pool SMTP_POOL dequeue_removeroute
!lmtpcn-daemon

! 
! reprocess
reprocess 
reprocess-daemon

! 
! process
process 
process-daemon

! 
! defragment
defragment 
defragment-daemon

! 
! conversion
conversion 
conversion-daemon

! 
! bitbucket
bitbucket 
bitbucket-daemon

! 
! deleted
deleted 
deleted-daemon

! 
! inactive
inactive 
inactive-daemon

! 
! hold
hold
hold-daemon

